/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VInputHelpparamCheck;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VInputHelpparamCheckRecord extends TableRecordImpl<VInputHelpparamCheckRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_input_helpparam_check.inputhelp</code>.
     */
    public void setInputhelp(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_input_helpparam_check.inputhelp</code>.
     */
    public Integer getInputhelp() {
        return (Integer) get(0);
    }

    /**
     * Setter for
     * <code>common_dd.v_input_helpparam_check.inputhelp_descr</code>.
     */
    public void setInputhelpDescr(String value) {
        set(1, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_input_helpparam_check.inputhelp_descr</code>.
     */
    public String getInputhelpDescr() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_input_helpparam_check.param_order_nr</code>.
     */
    public void setParamOrderNr(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_input_helpparam_check.param_order_nr</code>.
     */
    public Integer getParamOrderNr() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_input_helpparam_check.param_study</code>.
     */
    public void setParamStudy(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_input_helpparam_check.param_study</code>.
     */
    public Integer getParamStudy() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.v_input_helpparam_check.param_variable</code>.
     */
    public void setParamVariable(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_input_helpparam_check.param_variable</code>.
     */
    public Integer getParamVariable() {
        return (Integer) get(4);
    }

    /**
     * Setter for <code>common_dd.v_input_helpparam_check.needed_params</code>.
     */
    public void setNeededParams(Integer value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_input_helpparam_check.needed_params</code>.
     */
    public Integer getNeededParams() {
        return (Integer) get(5);
    }

    /**
     * Setter for
     * <code>common_dd.v_input_helpparam_check.needed_params_actual</code>.
     */
    public void setNeededParamsActual(Long value) {
        set(6, value);
    }

    /**
     * Getter for
     * <code>common_dd.v_input_helpparam_check.needed_params_actual</code>.
     */
    public Long getNeededParamsActual() {
        return (Long) get(6);
    }

    /**
     * Setter for <code>common_dd.v_input_helpparam_check.equals</code>.
     */
    public void setEquals(String value) {
        set(7, value);
    }

    /**
     * Getter for <code>common_dd.v_input_helpparam_check.equals</code>.
     */
    public String getEquals() {
        return (String) get(7);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VInputHelpparamCheckRecord
     */
    public VInputHelpparamCheckRecord() {
        super(VInputHelpparamCheck.V_INPUT_HELPPARAM_CHECK);
    }

    /**
     * Create a detached, initialised VInputHelpparamCheckRecord
     */
    public VInputHelpparamCheckRecord(Integer inputhelp, String inputhelpDescr, Integer paramOrderNr, Integer paramStudy, Integer paramVariable, Integer neededParams, Long neededParamsActual, String equals) {
        super(VInputHelpparamCheck.V_INPUT_HELPPARAM_CHECK);

        setInputhelp(inputhelp);
        setInputhelpDescr(inputhelpDescr);
        setParamOrderNr(paramOrderNr);
        setParamStudy(paramStudy);
        setParamVariable(paramVariable);
        setNeededParams(neededParams);
        setNeededParamsActual(neededParamsActual);
        setEquals(equals);
        resetChangedOnNotNull();
    }
}
